Module javafx.graphics
Package javafx.css.converter

## Class EffectConverter

- java.lang.Object
- - javafx.css.StyleConverter<ParsedValue[],​Effect>
  - - javafx.css.converter.EffectConverter

- Direct Known Subclasses:
    `EffectConverter.DropShadowConverter`, `EffectConverter.InnerShadowConverter`

      public class EffectConverter
      extends StyleConverter<ParsedValue[],​Effect>

  Since:
    9

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `EffectConverter.DropShadowConverter` |
    `static class` | `EffectConverter.InnerShadowConverter` |

    - ### Nested classes/interfaces inherited from class javafx.css.StyleConverter

      `StyleConverter.StringStore`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `EffectConverter()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `clearCache()` |
    `Effect` | `convert​(ParsedValue<ParsedValue[],​Effect> value, Font font)` | Convert from the parsed CSS value to the target property type.
    `static StyleConverter<ParsedValue[],​Effect>` | `getInstance()` |
    `String` | `toString()` |

    - ### Methods inherited from class javafx.css.StyleConverter

      `cacheValue, convert, getBooleanConverter, getCachedValue, getColorConverter, getDurationConverter, getEffectConverter, getEnumConverter, getFontConverter, getInsetsConverter, getPaintConverter, getSizeConverter, getStringConverter, getUrlConverter, readBinary, writeBinary`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EffectConverter

          protected EffectConverter()

  - ### Method Detail

    - #### getInstance

          public static StyleConverter<ParsedValue[],​Effect> getInstance()

    - #### convert

          public Effect convert​(ParsedValue<ParsedValue[],​Effect> value,
                                Font font)

      Description copied from class: `StyleConverter`
      Convert from the parsed CSS value to the target property type.
      Overrides:
        `convert` in class `StyleConverter<ParsedValue[],​Effect>`
      Parameters:
        `value` - The `ParsedValue` to convert
        `font` - The `Font` to use when converting a relative value.
      Returns:
        the converted target property type

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### clearCache

          public static void clearCache()